Developers

Get appointment details

Fetch a single appointment by id

GET/appointments/{appointment_id}/

Fetch a single appointment by id

Authorization

HTTPBearer XDoctronicUserID
AuthorizationBearer <token>

In: header

X-Doctronic-User-ID<token>

Doctronic user ID returned as data.id by POST /users/. This value identifies the user in your organization scope; it is not an API token.

In: header

Path Parameters

appointment_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/appointments/string/"
{  "code": "success",  "message": "Request successful",  "data": {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "chatId": "string",    "status": "booked",    "durationMinutes": 0,    "location": {      "state": "AK"    },    "startsAt": "2019-08-24T14:15:22Z",    "endsAt": "2019-08-24T14:15:22Z",    "waitingRoomUrl": "https://doctronic.doxy.me/example?pid=dc_01K1EXAMPLE00000000000000&autocheckin=true"  }}